/*
* anonymoX client
* 	for Firefox
* 
* Author 	Nils Hügelmann	<nils@anonymox.net>
* Author 	Florian Prott	<florian@anonymox.net>
* Author 	Christian Otto	<chris@anonymox.net>
*
* www.anonymox.net
* 
* (All rights reserved)
* (Use at your own risk)
*/

// Components manager, load all "static" code into a JavaScript module scope

const Ci=Components.interfaces; const Cu=Components.utils; const Cc=Components.classes;
var EXPORTED_SYMBOLS = ["core", "browserapi", "communication", "config", "prefs",
                        "Profile", "profilemgr", "ui", "utils", "Info", "localize",
                        "clearTimeout", "setTimeout", "Array_remove", "Array_inArray", "Array_isArray", "Array_equal", "state"];

var subscriptLoader = Cc["@mozilla.org/moz/jssubscript-loader;1"].getService(Ci.mozIJSSubScriptLoader);
subscriptLoader.loadSubScript("resource://anonymox/utils.js");
subscriptLoader.loadSubScript("resource://anonymox/config.js");
subscriptLoader.loadSubScript("resource://anonymox/state.js");
subscriptLoader.loadSubScript("resource://anonymox/core.js");
subscriptLoader.loadSubScript("resource://anonymox/communication.js");
subscriptLoader.loadSubScript("resource://anonymox/ui.js");
subscriptLoader.loadSubScript("resource://anonymox/profilemgr.js");
subscriptLoader.loadSubScript("resource://anonymox/profile.js");
subscriptLoader.loadSubScript("resource://anonymox/browserapi.js");
